// $Id: CheckFilesDialog.cpp,v 1.20 2012/10/10 13:09:24 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA   02111-1307 USA
*
*
*******************************************************************************/

#include "CheckFilesDialog.h"

#include "BaseIcons.h"
#include "Debug.h"
#include "TreeView.h"
#include "XmlOptions.h"

#include <QtGui/QLabel>

//______________________________________________________________________
CheckFilesDialog::CheckFilesDialog( QWidget* parent ):
FileSelectionDialog( parent, "Transfer failed for following files:" )
{

    Debug::Throw( "CheckFilesDialog::CheckFilesDialog.\n" );
    setOptionName( "CHECK_FILES_DIALOG" );

    // change button names
    okButton().setText( "&Retry" );
    cancelButton().setText( "&Ignore" );

}
//____________________________________________________________________
void CheckFilesDialog::_updateButtons( void )
{
    Debug::Throw( "CheckFilesDialog::_updateButtons.\n" );
    FileSelectionDialog::_updateButtons();
    bool hasSelection( !_list().selectionModel()->selectedRows().empty() );
    okButton().setEnabled( hasSelection );
}
