#ifndef ConflictDialog_h
#define ConflictDialog_h

// $Id: ConflictDialog.h,v 1.5 2012/08/07 13:32:36 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA   02111-1307 USA
*
*
*******************************************************************************/

#include "FileSelectionDialog.h"

#include <QtGui/QPushButton>

class TreeView;

//! handles FileInfo conflicts
class ConflictDialog: public FileSelectionDialog
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! constructor
    ConflictDialog( QWidget* );

    //! destructor
    virtual ~ConflictDialog( void )
    {}

    protected slots:

    //! update button states
    void _updateButtons( void );

    //! skip selection
    void _skip( void );

    //! overwrite selection
    void _overwrite( void );

    private:

    //! skip button
    QPushButton* skipButton_;

    //! overwrite button
    QPushButton* overwriteButton_;

};

#endif
