// $Id: ErrorDialog.cpp,v 1.11 2012/10/29 13:33:29 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "ErrorDialog.h"

#include <QtGui/QLabel>

//______________________________________________________________________________________________
ErrorDialog::ErrorDialog( QWidget* parent, const QString& message ):
    QuestionDialog( parent, message )
{

    Debug::Throw( "ErrorDialog::ErrorDialog.\n" );
    setOptionName( "ERROR_DIALOG" );

    // rename buttons
    okButton().setText( "&Abort commands");
    okButton().setToolTip( "All pending commands will be aborted." );

    cancelButton().setText( "&Ignore" );
    cancelButton().setToolTip( "The current action is aborted. Other pending actions will be processed normally." );

}
