
// $Id: FtpCommand.cpp,v 1.9 2012/10/31 18:19:11 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "FtpCommand.h"

//___________________________________________________________________
unsigned int& FtpCommand::_counter( void )
{
    static unsigned int counter( 0 );
    return counter;
}

//_______________________________________
FtpCommand::FtpCommand( FtpCommand::Type type ):
    Counter( "FtpCommand" ),
    id_( _counter()++ ),
    ftpId_( 0 ),
    type_( type )
{}

//_______________________________________
FtpCommand::NameMap& FtpCommand::_names( void )
{
    static NameMap map;
    return map;
}

//_________________________________________
QString FtpCommand::name( void ) const
{
    if( _names().empty() ) _initializeNames();
    return _names()[ type_ ];
}

//_________________________________________
void FtpCommand::_initializeNames( void )
{
    _names()[ FtpCommand::None ] = "none";
    _names()[ FtpCommand::ConnectToHost ] = "connect to host";
    _names()[ FtpCommand::Login ] = "login";
    _names()[ FtpCommand::Close ] = "close connection";
    _names()[ FtpCommand::ShowDirectory ] = "list remote files";
    _names()[ FtpCommand::ChangeDirectory ] = "change directory";
    _names()[ FtpCommand::CreateDirectory ] = "create directory";
    _names()[ FtpCommand::Copy ] = "copy selected files";
    _names()[ FtpCommand::Remove ] = "remove files";
    _names()[ FtpCommand::Rename ] = "rename file";
}
