#ifndef FtpCommandDialog_h
#define FtpCommandDialog_h

// $Id: FtpCommandDialog.h,v 1.4 2012/10/11 16:48:13 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "Counter.h"
#include "FtpCommandModel.h"
#include "FtpMacroModel.h"

class TreeView;

class FtpCommandDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    FtpCommandDialog( QWidget* = 0 );

    //!@name models
    //@{
    FtpMacroModel& macroModel( void ) { return macroModel_; }
    FtpCommandModel& commandModel( void ) { return commandModel_; }
    //@}

    //!@name lists
    //@{
    TreeView& macroList( void ) const { return *macroList_; }
    TreeView& commandList( void ) const { return *commandList_; }
    //@}

    signals:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! models
    FtpMacroModel macroModel_;
    FtpCommandModel commandModel_;

    //! lists
    TreeView* macroList_;
    TreeView* commandList_;

};

#endif
