
// $Id: FtpMacro.cpp,v 1.17 2012/11/05 09:05:03 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "FtpMacro.h"

//___________________________________________________________________
unsigned int& FtpMacro::_counter( void )
{
    static unsigned int counter( 0 );
    return counter;
}

//_______________________________________
FtpMacro::NameMap& FtpMacro::_names( void )
{
    static NameMap map;
    return map;
}

//_________________________________________
QString FtpMacro::name( const Type& type )
{
    if( _names().empty() ) _initializeNames();
    return _names()[type];
}

//_________________________________________
void FtpMacro::_initializeNames( void )
{
    _names()[None] = "none";
    _names()[Connect] = "connect to host";
    _names()[CloseConnection] = "close connection";
    _names()[Add] = "add file to internal list";
    _names()[Clear] = "clear internal file list";
    _names()[Abort] = "abort transfer";
    _names()[CopyRecursive] = "copy selected items";
    _names()[CreateDirectory] = "create directory";
    _names()[Rename] = "rename selected item";
    _names()[Remove] = "remove selected items";
    _names()[Open] = "open files";
    _names()[ShowDirectory] = "query directory content";
    _names()[ListRecursive] = "query directory content (recursive)";
    _names()[SizeRecursive] = "query directory size (recursive)";
    _names()[CheckConflicts] = "check file conflicts";
    _names()[CheckFilesCopy] = "check file transfer (copy)";
    _names()[CheckFilesMoved] = "check file transfer (move)";
    _names()[ClearSelection] = "clear display selection";
    _names()[Select] = "update display selection";
}

//_________________________________________
FtpMacro::FtpMacro( const Type& type ):
    Counter( "FtpMacro" ),
    id_( _counter()++ ),
    type_( type )
{}
