#ifndef _NewFolderDialog_h_
#define _NewFolderDialog_h_

// $Id: NewFolderDialog.h,v 1.1 2012/08/28 13:35:11 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "FileInfo.h"

class LineEditor;

//! QDialog used to commit selected files
class NewFolderDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    NewFolderDialog( QWidget*, const FileInfo& );

    //! destructor
    virtual ~NewFolderDialog( void )
    {}

    //! editor
    LineEditor& editor( void ) const
    { return *editor_; }


    protected slots:

    //! update buttons
    void _updateButtons( void );

    private:

    //! editor
    LineEditor* editor_;

};

#endif
