#ifndef _OpenFilesDialog_h_
#define _OpenFilesDialog_h_

// $Id: OpenFilesDialog.h,v 1.2 2012/09/08 20:06:15 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "QuestionDialog.h"
#include "FileInfoModel.h"

#include <QtGui/QPushButton>

class CustomComboBox;

//! QDialog used to commit selected files
class OpenFilesDialog: public QuestionDialog
{

    Q_OBJECT

    public:

    //! constructor
    OpenFilesDialog( QWidget*, const FileInfo::List& );

    //! destructor
    virtual ~OpenFilesDialog( void )
    {}

    //! combo box
    CustomComboBox& actionComboBox( void ) const
    { return *actionComboBox_; }

    protected slots:

    //! select action from fileSelection dialog.
    void _browse( void );

    //! update button states
    void _updateButtons( void );

    private:

    //! model
    FileInfoModel model_;

    //! action combobox
    CustomComboBox* actionComboBox_;

};

#endif
